<module id="sdl" /SDL/
<section/Synopsis/

[[
cheia.load "SDL"

SDL.SDL_Init(SDL.SDL_INIT_VIDEO)
screen = SDL.SDL_SetVideoMode(width, height, bpp, flags)
background = SDL.SDL_MapRGB(screen.format, r, g, b)

events = SDL.SDL_Event_new()
while SDL.SDL_PollEvent(events) ~= 0 do
\.
end

sprite = SDL.SDL_LoadBMP(file)
sprite_disp = SDL.SDL_DisplayFormat(sprite)
SDL.SDL_FreeSurface(sprite)
SDL.SDL_BlitSurface(sprite_disp, src_rect, screen, dest_rect)
]]

<section/Description/

This module provides a binding for the Simple DirectMedia Layer, a
cross-platform multimedia API. It provides uniform access to 2D and 3D
(OpenGL) graphics, audio output, and keyboard, mouse, and joystick
input.

<section/Examples/

<section/Reference/

This section is intended to supplement the libsdl documentation found
at url[http://sdldoc.csn.ul.ie/]. It simply lists the functions
available and notes where they differ from the C API equivalents.

<section/Issues/

Could REALLY do with an OO API.

Why is this module name uppercase when all the others aren't?

<section/See also/

The LibSDL website, url[http://www.libsdl.org/].

<section/Revision history/

Added in LuaCheia 5.0.

<section/Credits/

Relies on LibSDL, see url[http://www.libsdl.org/credits.php].

LuaCheia module by Asko Kauppi.

Documentation for LuaCheia by Jamie Webb.
