-- 'SDL' stub-loader script

-- A minimal stub-loader, w/ no self-test function, would be:
-- return cheia.gluaload("SDL")


local r,e=cheia.gluaload("SDL")
if not r then 
        return nil, e
else
	-- binary stuff apparently loaded OK, so do any additional Lua stuff here...
	
	-- self-test function
	function SDL._self_test()

		-- Initialize SDL 
		if SDL.SDL_Init(SDL.SDL_INIT_VIDEO) < 0 then
			return false, ("Couldn't initialize SDL: " .. SDL.SDL_GetError());
		end

		-- Set video mode 
		local screen = SDL.SDL_SetVideoMode(640, 480, 16, SDL.SDL_HWSURFACE + SDL.SDL_ANYFORMAT);
		if screen == nil then
			return false, ("Couldn't set " .. width .. "x" .. height .. " video mode: " .. SDL.SDL_GetError());
		end

		-- shut down.
		SDL.SDL_Quit();

		-- apparently OK.
		return true
	end
end

return true
