-- pack.lua
-- support code for pack library

assert(cheia.loadmodule("pack"))


--
-- test code for pack
--
function pack._self_test(verbose)
	local bpack=pack.pack
	local bunpack=pack.unpack
	
	function hex(s)
	 s=string.gsub(s,"(.)",function (x) return string.format("%02X",string.byte(x)) end)
	 return s
	end
	
	local a=bpack("Ab10n","\027Lua",5*16+0,1,4,4,4,6,8,9,9,8,3.14159265358979323846E7)
	if verbose then print(hex(a)) end
	
	local b=string.dump(hex)
	b=string.sub(b,1,string.len(a))
	if verbose then print(a==b,string.len(b)) end
	if verbose then print(bunpack(b,"bA3b10n")) end

	assert(a == b)

	-- -- endian dependent...
	-- assert(hex(a) == "1B4C756150010404040608090908B6099368E7F57D41"
	--	or hex(a) == "whatever the big-endian equivalent is")

	return true
end


-- module loaded successfully
return true
