/* loadmodule extension for luasocket.c */

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#ifndef LUAMODULE_API
# if defined(WIN32) || defined(_WIN32)
#  define LUAMODULE_API __declspec(dllexport)
# else
#  define LUAMODULE_API 
# endif
#endif

#include <lua.h>

#include <lauxlib.h>
#include <lualib.h>
#include "luasocket.h"

/*=========================================*/
/* now comes the special 'loadmodule' code */
/*=========================================*/

LUAMODULE_API
int	luaLM_import(lua_State* L)
{
	return luaopen_socket(L);
}

LUAMODULE_API
const char* luaLM_version(void)
{
	return LUA_VERSION;
}

