<appendix id="module-names" /Module names/

This is a summary of names that should not be used for new modules.
The list includes modules native to Lua, modules included with
luacheia, and modules that might be compatible with luacheia now or in
the future.  The list also includes global symbols likely to be
defined by a Lua interpreter, and reserved words in the Lua language.

In alphabetical order, case-insensitive:

defs[[
g[assert]           | Lua

g[bit]              | Module: bit manipulation

g[cgi]              | Module: HTTP CGI facilities

g[cheia]            | Module: LuaCheia implementation

g[collectgarbage]   | Lua

g[coroutine]        | Lua library

g[debug]            | Lua library

g[do]               | Lua

g[dofile]           | Lua

g[end]              | Lua

g[error]            | Lua

g[for]              | Lua

g[fs]               | Module: generic portable file-system routines

g[function]         | Lua

g[fuzzy]            | Module: approximate string-matching

g[gcinfo]           | Lua

g[getfenv]          | Lua

g[getmetatable]     | Lua

g[gluahost]         | Module: for loading Gluax modules (e.g. SDL)

g[if]               | Lua

g[include]          | Lua

g[io]               | Lua library

g[ipairs]           | Lua

g[loadfile]         | Lua

g[loadlib]          | Lua

g[loadstring]       | Lua

g[local]            | Lua

g[luacom]           | Module: COM implementation

g[mapm]             | Module: Mike's Arbitrary Precision Math Library

g[math]             | Lua

g[md]5              | Module: MD5 digest computation

g[next]             | Lua

g[newproxy]         | Lua

g[os]               | Lua

g[pack]             | Module: binary packing

g[pairs]            | Lua

g[pcall]            | Lua

g[pcre]             | Module: Perl-compatible regular expressions

g[posix]            | Module: POSIX facilities

g[print]            | Lua

g[rawequal]         | Lua

g[rawget]           | Lua

g[rawset]           | Lua

g[require]          | Lua

g[return]           | Lua

g[rex]              | Module: POSIX regular expressions

g[setfenv]          | Lua

g[setmetatable]     | Lua

g[SDL]              | Module: Simple DirectMedia Layer

g[shelve]           | Module: serialization of Lua tables

g[socket]           | Module: networking sockets

g[sqlite]           | Module: lightweight SQL db

g[string]           | Lua library

g[table]            | Lua library

g[then]             | Lua

g[tonumber]         | Lua

g[tostring]         | Lua

g[type]             | Lua

g[unpack]           | Lua

g[while]            | Lua

g[wx]               | Module: wxWindows GUI layer

g[xpcall]           | Lua
]]
