//------------
// GLUAHOST.H
//
// Header file for embedding gluahost in another application.
//
// Note: #define GLUAHOST_NOMAIN in project options to disable the 'main()'
//       within gluahost.c.
//

#ifndef GLUAHOST_H
#define GLUAHOST_H

#ifdef GLUA_DYNAMIC
  #error "You don't need this header when compiling dynamic modules!"
#endif

#include "lua.h"

int gluahost_open (lua_State* lua);
int gluahost_close (lua_State* lua);

#endif  // GLUAHOST_H
