-----------------------------------------------------------------------------
-- LuaSocket helper module
-- Author: Diego Nehab
-- RCS ID: $Id: auxiliar.lua,v 1.1 2003/07/14 19:47:51 traumwind Exp $
-----------------------------------------------------------------------------
function socket.connect(...)
    local sock, err = socket.tcp()
    if not sock then return nil, err end
    local res, err = sock:connect(unpack(arg))
    if not res then return nil, err end
    return sock
end

function socket.bind(...)
    local sock, err = socket.tcp()
    if not sock then return nil, err end
    local res, err = sock:bind(unpack(arg))
    if not res then return nil, err end
    return sock
end
