-- LuaCheia stub-loader for luasocket module

assert(cheia.loadmodule("socket"))

-- very minimal self-test
function socket._self_test()
	local url = "http://luacheia.lua-users.org/index.php?wikipage=LuaCheiaLicensing"
	local parts = socket.url.parse(url)
	assert(parts.scheme == "http", "parse scheme failed")
	assert(parts.authority == "luacheia.lua-users.org", "parse authority failed")
	assert(parts.host == "luacheia.lua-users.org", "parse host failed")
	assert(parts.path == "/index.php", "parse path failed")
	assert(parts.query == "wikipage=LuaCheiaLicensing", "parse query failed")

	-- TODO should open a socket to localhost and see if we can send/receive

	return true
end

return true
